package com.chushang.oss.service.impl;

import com.chushang.oss.service.OssService;
import org.springframework.boot.autoconfigure.condition.ConditionalOnExpression;
import org.springframework.stereotype.Service;

import java.io.InputStream;
import java.util.List;

/**
 * @auther: zhao
 * @date: 2024/4/28 19:52
 */
@Service
@ConditionalOnExpression("'${oss.storage}'.equals('minio')")
public class MinioServiceImpl implements OssService {
    @Override
    public String upload(byte[] data, String path) {
        return "";
    }

    @Override
    public String uploadSuffix(byte[] data, String suffix) {
        return "";
    }

    @Override
    public String uploadSuffix(byte[] data, String suffix, String filename) {
        return "";
    }

    @Override
    public String uploadPrefix(byte[] data, String prefix, String suffix, String filename) {
        return "";
    }

    @Override
    public String uploadPrefix(byte[] data, String prefix, String filename) {
        return "";
    }

    @Override
    public String upload(InputStream inputStream, String path) {
        return "";
    }

    @Override
    public String uploadSuffix(InputStream inputStream, String suffix) {
        return "";
    }

    @Override
    public void delFile(String path) {

    }

    @Override
    public List<String> delFileBatch(List<String> keys) {
        return List.of();
    }
}
